Skip to main content
PATCH
Update a draft client invoice
Authentication: API key OAuth 2.0
Scope: client_invoice.write

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string<uuid>
required

UUID of the client invoice to update.

Example:

"e3d68a1a-b23f-496a-a9a2-815089337720"

Body

application/json

All fields are optional - only provided fields will be updated.

client_id
string<uuid>
upload_id
string<uuid>

Optional ID of a previously uploaded file to attach to this invoice. The upload must have been created using the POST /v2/client_invoices/uploads endpoint.

Example:

"4d5418bb-bd0d-4df4-865c-c07afab8bb48"

issue_date
string<date>

Date the initiator has issued or shared the invoice as legally viable. The format should be YYYY-MM-DD.

Required on draft invoices: sending null or an empty string returns a 422 error.

Example:

"2022-03-01"

performance_date
string<date> | null
deprecated

DEPRECATED: This field is deprecated. Please use performance_start_date and performance_end_date instead.

Alias of performance_start_date. The format should be YYYY-MM-DD. Ignored when performance_start_date is also provided. Send null or an empty string to clear the performance start date.

performance_start_date
string<date> | null

Start date of the performance period for the invoice. The format should be YYYY-MM-DD.

Validation rules:

  • Required if the invoice has a performance_end_date
  • Must be less than or equal to performance_end_date

Fallback behavior:

  • If not provided, the deprecated performance_date value is used, when provided
  • If provided, this value overrides the deprecated performance_date field

Send null or an empty string to clear the date.

Example:

"2022-03-01"

performance_end_date
string<date> | null

End date of the performance period for the invoice. The format should be YYYY-MM-DD.

Validation rules:

  • Requires a performance_start_date, either provided in the request or already set on the invoice
  • Must be greater than or equal to performance_start_date

Send null or an empty string to clear the date.

Example:

"2022-03-31"

due_date
string<date>

Payment deadline that is added by the initiator. The format should be YYYY-MM-DD.

Required on draft invoices: sending null or an empty string returns a 422 error.

number
string

Invoice's number. Must be unique within the organization.

Maximum string length: 40
Example:

"INV-2023-001"

purchase_order
string

Purchase order data added by the invoice’s initiator.

Maximum string length: 40
terms_and_conditions
string

Additional notes added by the invoice’s initiator.

Maximum string length: 525
header
string
Example:

"This is an example."

Example:

"This is an example."

payment_methods
object

Payment method details for the invoice.

settings
object

This collection of properties can be optionally used to temporarily override some of the organization's properties for this one invoice.

items
object[]
report_einvoicing
boolean
  • For Italian organizations only
  • Non-Italian organizations should not include this property in the request.
  • Italian organizations must have e-invoicing activated to use this endpoint, no matter the value of the flag.
  • By default for an Italian organization that has e-invoicing activated on the Qonto app, if this field is not filled, this property is set to true and the invoice is automatically sent to Italian exchange system (Sistema di Interscambio, or SdI) as an XML e-invoice. If set to false, the invoice will not be sent to SdI.
  • Use the GET v2/client_invoices to retrieve its e-invoicing status under the property einvoicing_status.
payment_reporting
object
  • For Italian organizations only
  • Non-Italian organizations should not include this property in the request.
  • Object which relates to payment methods and conditions of the invoice.
welfare_fund
object
  • For Italian organizations only
  • Non-Italian organizations should not include this property in the request.
  • Object which relates to pension contributions added to the total amount to pay, applicable in some cases.
  • This amount is a percentage added to the total amount of the invoice pre-taxes.
withholding_tax
object
  • Only for Italian organizations and Spanish freelancers
  • Other organizations should not include this property in the request.
  • Object which relates to an amount of tax paid by the client, rather than the supplier, for specific cases.
  • This amount is a percentage deducted from the total amount of the invoice after VAT application.
  • ES freelancers need to only fill the withholding_tax rate field with their IRPF.
stamp_duty_amount
string
  • For Italian organizations only
  • Non-Italian organizations should not include this property in the request.
  • Represents an amount (2.00 EUR) applicable on invoices where VAT is excluded and the invoice has a value exceeding 77.47 EUR.
Required string length: 4 - 15
Example:

"1.00"

discount
object

Global discount applied to the entire invoice. This discount is applied to the sum of all items (after item-level discounts, if any).

Response

Returns the client invoice identified by the id path parameter.

client_invoice
object
required